c************
c  Description:	Graphics pre-setup for host routines
c		this is to keep the common block mx$prim out of the shared 
c		image library on the vax
c
c  Author:	
c
c  $Revision: 1.3 $
c  $Modtime:   12/14/93 17:20:02  $
c  
c************
c
        subroutine MX$SETUP (width, height)
	integer*4	     width, height
        include 'xprimitive.inc'
c	print *, 'MX SETUP ',width,' ',height
	call MX$GRAPHICSINIT()
        call MXF$SETUP (Mx, width, height)
        return
        end

        subroutine NMX$SETUP (Mx, width, height)
	integer*4	     width, height
c	print *, 'NMX SETUP ',width,' ',height
	call MX$GRAPHICSINIT()
        call MXF$SETUP (Mx, width, height)
        return
        end
